<template>

    <v-container class="fill-height" fluid>
        <v-row align="center" justify="center">
            <v-col cols="12" sm="8" md="4">
                <v-card :elevation="0">
                    <div class="text-h4 text-lg-h3 pa-7"> Builderlytics<i class="icofont-worker"/></div>
                </v-card>
                <v-spacer/>
                <v-card :elevation="12">
                    <v-tabs fixed-tabs>
                        <v-tab key="login">Login</v-tab>
                        <v-tab-item key="login">
                            <LoginComponent/>
                        </v-tab-item>
                        <v-tab key="register">
                            Register
                        </v-tab>
                        <v-tab-item key="register">
                            <RegisterComponent/>
                        </v-tab-item>
                    </v-tabs>


                </v-card>
            </v-col>
        </v-row>
    </v-container>
</template>

<style lang='scss' scoped>
</style>

<script lang='ts'>
    import {Component, Vue} from 'vue-property-decorator';
    import LoginComponent from "../components/LoginComponent.vue";
    import RegisterComponent from "../components/RegisterComponent.vue";

    @Component({
        components: {RegisterComponent, LoginComponent}
    })
    export default class Auth extends Vue {
    }
</script>
